> ## Documentation Index
> Fetch the complete documentation index at: https://docs.p2p.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Portfolio Summary

> Returns an aggregated portfolio summary for a given wallet.



## OpenAPI

````yaml openapi/defi-api.json GET /api/defi/v1/earning/positions/summary
openapi: 3.0.3
info:
  title: DeFi API
  version: 1.0.0
servers:
  - url: https://edge.p2p.org
security:
  - ClientHash: []
  - ApiKey: []
tags:
  - name: Earning
  - name: Positions
  - name: Rewards
  - name: Transactions
  - name: Wallets
paths:
  /api/defi/v1/earning/positions/summary:
    get:
      tags:
        - Positions
      summary: Get Portfolio Summary
      description: Returns an aggregated portfolio summary for a given wallet.
      operationId: get_positions_summary
      parameters:
        - name: userAddress
          in: query
          required: true
          schema:
            type: string
        - name: chain
          in: query
          schema:
            type: string
        - name: protocol
          in: query
          schema:
            type: string
        - name: isAsync
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: Portfolio summary.
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      activeAmountInUsd:
                        type: number
                      profitAndLossInUsd:
                        type: number
                      profitAndLossInPercent:
                        type: number
                      missedProfit:
                        type: object
                        properties:
                          totalMissedProfitInUsd:
                            type: number
                          missedProfitPerAssets:
                            type: array
                            items:
                              type: object
                          missedProfitDetails:
                            type: array
                            items:
                              type: object
                  error:
                    nullable: true
                    default: null
                  meta:
                    $ref: '#/components/schemas/ResponseMeta'
        '206':
          description: Partial content — some providers did not respond in time.
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: GetUserPositionListFailedException
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ResponseMeta:
      type: object
      properties:
        time:
          type: integer
        requestId:
          type: string
          format: uuid
    ErrorResponse:
      type: object
      properties:
        result:
          nullable: true
          default: null
        error:
          type: object
          properties:
            name:
              type: string
            message:
              type: string
            validationErrors:
              type: array
              items:
                type: object
        meta:
          $ref: '#/components/schemas/ResponseMeta'
  securitySchemes:
    ClientHash:
      type: apiKey
      in: header
      name: X-Client-Hash
    ApiKey:
      type: apiKey
      in: header
      name: apikey

````

## Related topics

- [Get Validator Summary](/reference/data-validator-summary.md)
- [Get Delegator Summary](/reference/data-delegator-summary.md)
- [Get Account Summary](/reference/tron-account-get.md)
